Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OriginatorPublicKey

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.OriginatorPublicKey

All Implemented Interfaces:
  DEREncodable

public class OriginatorPublicKey
extends java.lang.Object
implements DEREncodable

Constructor Summary
`OriginatorPublicKey(AlgorithmIdentifier algorithm, byte[] publicKey)`
`OriginatorPublicKey(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getAlgorithm()`
`DERObject` | `getDERObject()` OriginatorPublicKey ::= SEQUENCE { algorithm AlgorithmIdentifier, publicKey BIT STRING }
`static OriginatorPublicKey` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an OriginatorPublicKey object from a tagged object.
`static OriginatorPublicKey` | `getInstance(java.lang.Object obj)` return an OriginatorPublicKey object from the given object.
`DERBitString` | `getPublicKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorPublicKey

    public OriginatorPublicKey(AlgorithmIdentifier algorithm,
                               byte[] publicKey)

### OriginatorPublicKey

    public OriginatorPublicKey(ASN1Sequence seq)

Method Detail

### getInstance

    public static OriginatorPublicKey getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

  return an OriginatorPublicKey object from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorPublicKey getInstance(java.lang.Object obj)

  return an OriginatorPublicKey object from the given object.
  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getAlgorithm

    public AlgorithmIdentifier getAlgorithm()

### getPublicKey

    public DERBitString getPublicKey()

### getDERObject

    public DERObject getDERObject()

       OriginatorPublicKey ::= SEQUENCE {
       	algorithm AlgorithmIdentifier,
       	publicKey BIT STRING
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD